Subject: [SWIPL] Listening for input on a window while listening on streams

From: Armando Stellato <[email-masked]>
Date: Tue, 11 Sep 2001 10:26:50 +0200

Well, the problem is summarized in the subject:
I've a XPCE-window, I've to listen for input from a text-box while 
listening from streams.
I could use a time-sharing discipline, but don't know how to say in 
XPCE: "wait for input on this box for (max) #milliseconds".
Any help would be greatly appreciated, as I'm working on a agent 
environment and every agent has to be always listening for connections 
and some of them must accept directives from the user.
Thanx in advance
Armando Stellato